import { Tabs } from 'antd'
import DataSourceManage from '../component/DatasourceManage.jsx'
// import DatasourceAddDialog from '../component/DatasourceAddDialog.jsx'
import DatasourceAdd from '../component/DatasourceAdd'
// import { useState } from 'react'

const { TabPane } = Tabs

const DatasourceView = () => {
 
  return (
    <>
      {/* Tab栏及内容 */}
      <Tabs type="card" tabBarExtraContent={<DatasourceAdd/>}>
        <TabPane tab="数据源管理" key="1">
          <DataSourceManage />
        </TabPane>
        <TabPane tab="同步配置" key="2">
          Content of Tab Pane 2
        </TabPane>
        <TabPane tab="日志管理" key="3">
          Content of Tab Pane 3
        </TabPane>
      </Tabs>
    </>
  )
}
DatasourceView.propTypes = {}

export default DatasourceView
